VERSION 5.00
Begin {C62A69F0-16DC-11CE-9E98-00AA00574A4F} NovoAgendamento 
   ClientHeight    =   5460
   ClientLeft      =   120
   ClientTop       =   465
   ClientWidth     =   7530
   OleObjectBlob   =   "NovoAgendamento.frx":0000
   StartUpPosition =   1  'CenterOwner
End
Attribute VB_Name = "NovoAgendamento"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False

Private Sub cmdGravar_Click()

If dataTxt.Value = "" Or horarioCb.Value = "" Or _
        ServicoCb.Value = "" Or FuncionarioCb.Value = "" Then
    MsgBox "Preencha todos os campos!", vbExclamation, "Campo Vazio!"
    Exit Sub
End If

If Len(dataTxt.Text) < 10 Then
    MsgBox "A data que voc inseriu no  aceita", vbExclamation, "Data Incorreta"
        Exit Sub
End If

Dim wCad    As Worksheet
Dim UVal    As Long
Dim ULin    As Long

Call BuscaUltima.CarregaCod(UVal, ULin)

Set wCad = Planilha4

wCad.Activate

With wCad

    .Cells(ULin, 1).Value = UVal
    .Cells(ULin, 2).Value = dataTxt.Value
    .Cells(ULin, 3).Value = horarioCb.Value
    .Cells(ULin, 4).Value = ServicoCb.Value
    .Cells(ULin, 5).Value = ClienteCb.Value
    .Cells(ULin, 6).Value = FuncionarioCb.Value

End With

MsgBox "Cadastro Realizado com Sucesso", vbInformation, "Cadastrado!"

Unload Me

Call Agenda.Datas
Call Agenda.CarregarInicio
Call Agenda.Transforma

End Sub

Sub HrInicio()

Dim i As Integer
Dim f As Integer

For i = 7 To 21

    With horarioCb
        .AddItem Format(i, "00") & ":00"
        .AddItem Format(i, "00") & ":30"
    End With

Next i

End Sub

Sub CrgCliente()

Dim wPlan   As Worksheet
Dim lin     As Integer
Dim vCell   As String

Set wPlan = Planilha1

lin = 2

wPlan.Activate
wPlan.Range("A" & lin).Select

    With wPlan
    
        Do Until .Cells(lin, 1) = ""
            vCell = .Cells(lin, 1)
                With ClienteCb
                        .AddItem vCell
                End With
                    lin = lin + 1
        Loop
    
    End With

End Sub

Sub CrgFuncionario()

Dim wPlan   As Worksheet
Dim lin     As Integer
Dim vCell   As String

Set wPlan = Planilha2

lin = 2

wPlan.Activate
wPlan.Range("A" & lin).Select

    With wPlan
    
        Do Until .Cells(lin, 1) = ""
            vCell = .Cells(lin, 1)
                With FuncionarioCb
                        .AddItem vCell
                End With
                    lin = lin + 1
        Loop
    
    End With

End Sub

Sub CrgServicos()

Dim wPlan   As Worksheet
Dim lin     As Integer
Dim vCell   As String

Set wPlan = Planilha3

lin = 2

wPlan.Activate
wPlan.Range("A" & lin).Select

    With wPlan
    
        Do Until .Cells(lin, 1) = ""
            vCell = .Cells(lin, 1)
                With ServicoCb
                        .AddItem vCell
                End With
                    lin = lin + 1
        Loop
    
    End With

End Sub


Private Sub dataTxt_KeyPress(ByVal KeyAscii As MSForms.ReturnInteger)

dataTxt.MaxLength = 10
Select Case KeyAscii
Case 8
Case 13: SendKeys "{TAB}"
Case 48 To 57
If dataTxt.SelStart = 2 Then dataTxt.SelText = "/"
If dataTxt.SelStart = 5 Then dataTxt.SelText = "/"
Case Else: KeyAscii = 0
End Select

End Sub

Private Sub UserForm_Initialize()

Dim corVer    As Variant
Dim corEsc    As Variant

corEsc = RGB(21, 21, 21)
corVer = RGB(7, 247, 138)

NovoAgendamento.BackColor = corEsc
dataTxt.ForeColor = corVer
horarioCb.ForeColor = corVer
ServicoCb.ForeColor = corVer
ClienteCb.ForeColor = corVer
FuncionarioCb.ForeColor = corVer

Call CrgCliente
Call CrgFuncionario
Call CrgServicos
Call HrInicio

End Sub
